Package: org.codehaus.groovy.antlr

## [Java] Class GroovySourceToken

- org.codehaus.groovy.antlr.GroovySourceToken

- All Implemented Interfaces and Traits:
    SourceInfo

      public class GroovySourceToken
      extends Token
      implements SourceInfo

  This is a Token sub class to track line information

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected int` | `col` |
    `protected int` | `colLast` |
    `protected int` | `line` |
    `protected int` | `lineLast` |
    `protected String` | `text` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Token` | `INVALID_TYPE, EPSILON, MIN_USER_TOKEN_TYPE, EOF, DEFAULT_CHANNEL, HIDDEN_CHANNEL, MIN_USER_CHANNEL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySourceToken (int t)` Constructor using a token type

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getColumn()`
    `` | `public int` | `getColumnLast()`
    `` | `public int` | `getLine()`
    `` | `public int` | `getLineLast()`
    `` | `public String` | `getText()` get the source token text
    `` | `public void` | `setColumn(int c)`
    `` | `public void` | `setColumnLast(int colLast)`
    `` | `public void` | `setLine(int l)`
    `` | `public void` | `setLineLast(int lineLast)`
    `` | `public void` | `setText(String s)` set the source token text
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Token` | `getLine, getTokenIndex, getStartIndex, getStopIndex, getText, getCharPositionInLine, getTokenSource, getType, getInputStream, getChannel`

- - ### Field Detail

    - #### protected int col

    - #### protected int colLast

    - #### protected int line

    - #### protected int lineLast

    - #### protected String text

  - ### Constructor Detail

    - #### public GroovySourceToken(int t)

      Constructor using a token type

      Parameters:
        `t` - the type

  - ### Method Detail

    - #### public int getColumn()

    - #### public int getColumnLast()

    - #### public int getLine()

    - #### public int getLineLast()

    - #### public String getText()

      get the source token text

      Returns:
        the source token text

    - #### public void setColumn(int c)

    - #### public void setColumnLast(int colLast)

    - #### public void setLine(int l)

    - #### public void setLineLast(int lineLast)

    - #### public void setText(String s)

      set the source token text

      Parameters:
        `s` - the text

    - #### public String toString()